function M_c=GRETNA_matrix_correlation;

if exist('M_c','var')==0 
   M_c=[];
end

if(isempty(M_c))
   M_c=GRETNA_load_matrix;
   if(isempty(M_c))
      return;
   end
else
   M_c_old=M_c;
   M_c=GRETNA_load_matrix;
   if(isempty(M_c))
      M_c=M_c_old;
      return;
   end;
end

%[r,c]=find(M_c);
%edgedata=[c';r'];

subplot(3,3,2);
imagesc(M_c);
%colormap(gray);
title('Correlation Image');
H=findobj(gcf,'Tag','EditTextNDist');
set(H,'String',num2str(round(1.2*max(size(M_c)))));

subplot(3,3,3);cla;
title('Depth Image');
subplot(3,3,5);cla;
title('Hough');
subplot(3,3,6);cla;
title('Line & Depth Image');
subplot(3,3,8);cla;
title('Unhough');
subplot(3,3,9);cla;
title('Final Edge Image');

H=findobj(gcf,'Tag','PushbuttonImage');set(H,'Enable','off');
H=findobj(gcf,'Tag','PushbuttonEdge');set(H,'Enable','off');
H=findobj(gcf,'Tag','PushbuttonHough');set(H,'Enable','on');
H=findobj(gcf,'Tag','PushbuttonHoughFuzzy');set(H,'Enable','on');
H=findobj(gcf,'Tag','PushbuttonUnhough');set(H,'Enable','off');
H=findobj(gcf,'Tag','PushbuttonUnhoughFuzzy');set(H,'Enable','off');

