
function [R ] =gretna_corr_fisher(x,n, nrand);

% x: N*m: N is the number of subjects. m is the number of variables
% n: just calculate the correlation usng n subjects. n<=N
% nrand: the number of subjects.


[N m]=size(x);

 
for i = 1:nrand
    ind = randperm(N);
    nn = ind(1:n);
    [r(:,:,i) p] = corrcoef(x(nn,:));
end

rtoz = 0.5*log((1+r)./(1-r));
avez = mean(rtoz,3);
R = (exp(2*avez) - 1)./(exp(2*avez)+1);
for i = 1:m
    R(i,i) = 0;
end
    