
function [roimask]=gretna_make_ROImask(seed, D);

%seed = [85 77 112];
%D=10;
%[roimask]=gretna_make_ROImask(seed, D);


d = fmris_read_minc('/data/aces/aces1/yonghe/templates/icbm_avg_152_t1_tal_lin.mnc',1:181,1)

roimask = zeros(size(d.data));


%seed = [85 77 112];


squarex = seed(1)-20:seed(1)+20;
squarey = seed(2)-20:seed(2)+20;
squarez = seed(3)-20:seed(3)+20;

nv = length(squarex);

leftROI = [];
for i = 1:nv
i
for j = 1:nv
for k = 1:nv

voxel = [squarex(i) squarey(j) squarez(k)];
 euc = sqrt(sum( (seed - voxel) .^ 2 ));
if euc<D/2
leftROI=[leftROI voxel'];
end
end
end
end


N = size(leftROI,2);
for i=1:N
roimask(leftROI(1,i),leftROI(2,i),leftROI(3,i))=255;
 end
 
 d_mask = d;
 d_mask.data = roimask;
 d_mask.file_name = 'roi_PCC_mask.img';
 d_mask.dim=d.dim;
 d_mask.dim(4)=1;
 d_mask.parent_file='/data/aces/aces1/yonghe/templates/icbm_avg_152_t1_tal_lin.mnc';
 
 
 fmris_write_analyze(d_mask,1:181,1)
 
 
  
