
function [random] = gretna_generate_random(N,K);

% function [random] = gretna_generate_random(N,K);
% N: the number of nodes; K : the number of edges
%
%  Yong HE, BIC, MNI, McGill 2007/05/01
% *************************************************************************


B = ones(N,N);
B = B - diag(diag(B));
myrand = randperm(N*(N-1)/2);
[mm,nn,values] = find(tril(B));
random = sparse(mm(myrand(1:K)), nn(myrand(1:K)),ones(K,1),N,N);
random = full(random) + full(random)';
 
