
function [ROI] = gretna_make_surfaceROI(xyz,D)

%  [ROI] = gretna_selectsurfaceROI(xyz,D)
% example: ROI = gretna_selectsurfaceROI([4 20 24],15)
%        csvwrite('seedROI.txt',ROI);


seed = xyz; %[-2 -5 20];

if seed(1)<0
    B = load ('/data/aces/aces1/yonghe/templates/surfacecoordinate/ICBM_midsurface_coordinates_left.txt');
    nv = length(B);

    for i= 1:nv
        fprintf('.')
        euc(i) = sqrt(sum( (seed - B(i,:)) .^ 2 ));
    end

    ROI = zeros(nv,1);

    ROI(find(euc<D/2))=1;
    fprintf('finished!')
end



if seed(1)>0
    B = load ('/data/aces/aces1/yonghe/templates/surfacecoordinate/ICBM_midsurface_coordinates_right.txt');
    nv = length(B);

    for i= 1:nv
        fprintf('.')
        euc(i) = sqrt(sum( (seed - B(i,:)) .^ 2 ));
    end

    ROI = zeros(nv,1);

    ROI(find(euc<D/2))=1;
    fprintf('finished!')
end