function [] = gretna_display(matrix,alllabels,hublabels1, hublabels2, D)

% function [] = gretna_display(matrix,alllabels,hublabels, D)
%
%
%   load labels.txt
%   load ICBM_thickness_matrix.txt
%   hublabels1 = [10 70 2 50];
%   hublabels2 = [60 90];
%   D= 75;
%   gretna_display(ICBM_thickness_matrix,labels,hublabels1, [], D)
%   gretna_display(ICBM_thickness_matrix,labels,hublabels1, hublabels2, D)
%
% Yong He


if nargin<2
    error('error');end
if nargin ==2
    hublabels1 = [];  hublabels2 = []; D = [];end
if nargin == 3
    hublabels2 = []; D = [];end
if nargin==4
    D=[];end
if nargin >5
    error('error');end


load jacob_region_center_voxel_coord
d =  fmris_read_analyze('bcolin.img');
mask = d.data;
mask(find(mask~=0))=1;
mid = floor(size(mask)/2)
% 
% figure;
% subplot(1,2,1)
% hold on
% bw = edge(squeeze(mask(mid(1)+1,:,:)),'canny');
% bw1 = ones(size(bw));
% bw1(find(bw==1))=0;
% imagesc(bw1')
% axis xy
% axis normal
% plot(jacob_region_center_voxel_coord(:,2), jacob_region_center_voxel_coord(:,3),'k.','markersize',6)
% for i = 1:length(matrix)-1
%     for j =(i+1):length(matrix)
%         if matrix(i,j) ==1
%             plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
%                 [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-r', 'LineWidth',1)
%         end
%     end
% end
% colormap(gray)
% if length(hublabels1) ~=0
%     for i = 1:length(hublabels1)
%         index(i) = find(alllabels == hublabels1(i));
%         plot(jacob_region_center_voxel_coord(index(i) ,2),jacob_region_center_voxel_coord(index(i) ,3),'g.');
%     end
% end
% axis([0 d.dim(2) 0 d.dim(3)])
% xlabel('Posterior-Anterior')
% ylabel('Ventral-Dorsal')
% 
% %sagital
% subplot(1,2,2)
% hold on
% bw = edge(squeeze(mask(:,mid(2),:)),'canny');
% bw1 = ones(size(bw));
% bw1(find(bw==1))=0;
% imagesc(bw1')
% axis xy
% axis normal
% 
% plot(jacob_region_center_voxel_coord(:,1), jacob_region_center_voxel_coord(:,3),'k.','markersize',6)
% for i = 1:length(matrix)-1
%     for j =(i+1):length(matrix)
%         if matrix(i,j) ==1
%             plot([jacob_region_center_voxel_coord(i,1) jacob_region_center_voxel_coord(j,1)],...
%                 [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-r', 'LineWidth',1)
%         end
%     end
% end
% colormap(gray)
% if  length(hublabels1) ~=0
%     for i = 1:length(hublabels1)
%         index(i) = find(alllabels == hublabels1(i))
%         plot(jacob_region_center_voxel_coord(index(i) ,1),jacob_region_center_voxel_coord(index(i) ,3),'g.');
%     end
% end
% axis([0 d.dim(1) 0 d.dim(3)])
% xlabel('Left-Right')
% ylabel('Ventral-Dorsal')


 

if length(D) ~=0
%     figure

    load    jacob_region_center_Eucdis

    bw = edge(squeeze(mask(mid(1)+1,:,:)),'canny');
    bw1 = ones(size(bw));
    bw1(find(bw==1))=0;

%     subplot(1,2,1)
    imagesc(bw1')
    axis xy
    axis normal
    hold on
    plot(jacob_region_center_voxel_coord(:,2), jacob_region_center_voxel_coord(:,3),'k.','markersize',4)
    for i = 1:length(matrix)-1
        for j =(i+1):length(matrix)
            if matrix(i,j) ==1
                 if jacob_region_center_Eucdis(i,j) < D
%                     plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
%                         [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-k', 'LineWidth',0.1,'Color',[0.8 0.8 0.8])

                    plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
                        [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-k', 'LineWidth',0.1,'Color','red')
                 else
%                     plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
%                         [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-k', 'LineWidth',0.1,'Color',[0.6 0.6 0.6])
                    
                    plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
                        [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-k', 'LineWidth',0.1,'Color','red')
                end
            end
        end
    end

    colormap(gray)
    if length(hublabels1) ~=0
        for i = 1:length(hublabels1)
            index(i) = find(alllabels == hublabels1(i));
            plot(jacob_region_center_voxel_coord(index(i) ,2),jacob_region_center_voxel_coord(index(i) ,3),'cs','MarkerFaceColor','c', 'MarkerSize',4);
        end
    end

    if length(hublabels2) ~=0
        for i = 1:length(hublabels2)
            index(i) = find(alllabels == hublabels2(i));
            plot(jacob_region_center_voxel_coord(index(i) ,2),jacob_region_center_voxel_coord(index(i) ,3),'rs','MarkerFaceColor','r','MarkerSize',4);
        end
    end

    axis([0 d.dim(2) 0 d.dim(3)])
    xlabel('Posterior-Anterior')
    ylabel('Ventral-Dorsal')
%     %
%     % %short-range
%     figure
%     subplot(1,3,2)
%     imagesc(bw1')
%     axis xy
%     axis normal
%     hold on
%     plot(jacob_region_center_voxel_coord(:,2), jacob_region_center_voxel_coord(:,3),'k.','markersize',4)
%     for i = 1:length(matrix)-1
%         for j =(i+1):length(matrix)
%             if matrix(i,j) ==1
%                 if jacob_region_center_Eucdis(i,j) < D
%                     plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
%                         [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-r', 'LineWidth',1)
%                 end
%             end
%         end
%     end
% 
%     colormap(gray)
%     if length(hublabels1) ~=0
%         for i = 1:length(hublabels1)
%             index(i) = find(alllabels == hublabels1(i));
%             plot(jacob_region_center_voxel_coord(index(i) ,2),jacob_region_center_voxel_coord(index(i) ,3),'g.');
%         end
%     end
%     axis([0 d.dim(2) 0 d.dim(3)])
%     xlabel('Posterior-Anterior')
%     ylabel('Ventral-Dorsal')
    %
%     %
%     % %long-range
%     subplot(1,3,3)
%     imagesc(bw1')
%     axis xy
%     axis normal
%     hold on
%     plot(jacob_region_center_voxel_coord(:,2), jacob_region_center_voxel_coord(:,3),'k.','markersize',4)
%     for i = 1:length(matrix)-1
%         for j =(i+1):length(matrix)
%             if matrix(i,j) ==1
%                 if jacob_region_center_Eucdis(i,j) >= D
%                     plot([jacob_region_center_voxel_coord(i,2) jacob_region_center_voxel_coord(j,2)],...
%                         [jacob_region_center_voxel_coord(i,3) jacob_region_center_voxel_coord(j,3)],'-b', 'LineWidth',1)
%                 end
%             end
%         end
%     end
%     colormap(gray)
%     if length(hublabels1) ~=0
%         for i = 1:length(hublabels1)
%             index(i) = find(alllabels == hublabels1(i));
%             plot(jacob_region_center_voxel_coord(index(i) ,2),jacob_region_center_voxel_coord(index(i) ,3),'g.');
%         end
%     end
%     axis([0 d.dim(2) 0 d.dim(3)])
%     xlabel('Posterior-Anterior')
%     ylabel('Ventral-Dorsal')
end
%















%
%
% %
% clear
% load original_labels.txt
%
%  d = fmris_read_image('jakob_icbm_t1tal_fineatlas_update.nii');
%  for i = 1:length(original_labels)
%      i
%      [x y z]=ind2sub(size(d.data),find(d.data==original_labels(i)));
%      region_center_coordinates(i,:) = mean([x y z]);
%  end
%  Eucdis1 = pdist(region_center_coordinates);
%  EucDis = squareform(Eucdis1);
%   save jacob_region_center_Eucdis EucDis -ascii
%  save jacob_region_center_voxel_coord region_center_coordinates -ascii



