
function [A] = gretna_generate_random(N,K);
% Network randomization method 1:
% The function is used to generate a random matrix with N nodes and K edges
% as the real network G.
B = ones(N,N);
B = B - diag(diag(B));
randp = randperm(N*(N-1)/2);
[rows,cols,vals] = find(tril(B));
A = sparse(rows(randp(1:K)), cols(randp(1:K)),ones(K,1),N,N);
A = full(A) + full(A)';
return