function [Labels] = gretna_label (template)

if strcmp(template, 'animal') == 1
    Labels = {'SFG.R','SFG.L','MFG.R','MFG.L','IFG.R','IFG.L','MdFG.R','MdFG.L','PrCG.R','PrCG.L','LOFG.R','LOFG.L','MOFG.R','MOFG.L',...
    'SPL.R','SPL.L','SMG.R','SMG.L','ANG.R','ANG.L','PCU.R','PCU.L','PoCG.R','PoCG.L',...
    'STG.R','STG.L','MTG.R','MTG.L','ITG.R','ITG.L','UNC.R','UNC.L','MOTG.R','MOTG.L','LOTG.R','LOTG.L','PHG.R','PHG.L',...
    'OP.R','OP.L','SOG.R','SOG.L','MOG.R','MOG.L','IOG.R','IOG.L','CUN.R','CUN.L','LING.R','LING.L',...
    'CING.R','CING.L','INS.R','INS.L'}';
elseif strcmp (template, 'JCanimal') == 1
    Labels = {'SFG.R','SFG.L','MFG.R','MFG.L','IFG.R','IFG.L','MdFG.R','MdFG.L','PrCG.R','PrCG.L','LOFG.R','LOFG.L','MOFG.R','MOFG.L',...
    'SPL.R','SPL.L','SMG.R','SMG.L','ANG.R','ANG.L','PCU.R','PCU.L','PoCG.R','PoCG.L',...
    'STG.R','STG.L','MTG.R','MTG.L','ITG.R','ITG.L','UNC.R','UNC.L','MOTG.R','MOTG.L','LOTG.R','LOTG.L','PHG.R','PHG.L',...
    'OP.R','OP.L','SOG.R','SOG.L','MOG.R','MOG.L','IOG.R','IOG.L','CUN.R','CUN.L','LING.R','LING.L',...
    'INS.R','INS.L','TP.R','TP.L','AntC.R','AntC.L','MidC.R','MidC.L','PostC.R','PostC.L'}';
elseif strcmp(template, 'AAL') == 1
    Labels = {'PreCG_L','PreCG_R','SFGdor.L','SFGdor.R','ORBsup.L','ORBsup.R',...
    'MFG.L','MFG.R','ORBmid.L','ORBmid.R','IFGoperc.L','IFGoperc.R',...
    'IFGtriang.L','IFGtriang.R','ORBinf.L','ORBinf.R','ROL.L','ROL.R',...
    'SMA.L','SMA.R','OLF.L','OLF.R','SFGmed.L','SFGmed.R',...
    'ORBmed.L','ORBmed.R','REC.L','REC.R','INS.L','INS.R','ACG.L','ACG.R',...
    'MCG.L','MCG.R','PCG.L','PCG.R',...
    'PHG.L','PHG.R','CAL.L','CAL.R','CUN.L','CUN.R',...
    'LING.L','LING.R','SOG.L','SOG.R','MOG.L','MOG.R',...
    'IOG.L','IOG.R','FFG.L','FFG.R','PoCG.L','PoCG.R',...
    'SPG.L','SPG.R','IPL.L','IPL.R','SMG.L','SMG.R',...
    'ANG.L','ANG.R','PCUN.L','PCUN.R','PCL.L','PCL.R',...
    'HES.L','HES.R','STG.L','STG.R','TPOsup.L','TPOsup.R',...
    'MTG.L','MTG.R','TPOmid.L','TPOmid.R','ITG.L','ITG.R'}';
end