
function [Pvalue ] =gretna_rtop(r, N)

% r: r matrix
% N: number of subject (>6)

rtot = r ./ sqrt((1- r.^2) ./ (N-2));  %r to t

%t to p
Pvalue.onetailed = tcdf(-abs(rtot), N-2); %one-tailed
Pvalue.twotailed = 2 * Pvalue.onetailed; %two-tailed

end


    