function [p1,p2] = gretna_z2p(Z)
% p1   - one tail p
% p2  - two tail p
%
% Z - Zscore
% 
%______________________________________________________________________________
% @(#)FDR.m	1.3 Tom Nichols 02/01/18


p1 = normcdf(-abs(Z),0,1);
p2 = 2 * normcdf(-abs(Z),0,1);
